<cfsilent>
	<cfif not IsDefined("errMsg") or Len(errMsg) eq 0>
		<cfset countersRecords = Val(GetProfileString("#request.path2site#\cfWatcher.ini", "counters", "countersRecords"))>
		<cfset debug = GetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debug")>
		<cfset debugSites = GetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debugSites")>
		<cfset debugIPs = GetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debugIPs")>
		<cfset debugType = GetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debugType")>
		<cfset historySize = Val(GetProfileString("#request.path2site#\cfWatcher.ini", "display", "historySize"))>
		<cfset slowPageThreshold = Val(GetProfileString("#request.path2site#\cfWatcher.ini", "display", "slowPageThreshold"))>
		<cfset maxLengthInMemory = Val(GetProfileString("#request.path2site#\cfWatcher.ini", "display", "maxLengthInMemory"))>
		<cfset passwd = GetProfileString("#request.path2site#\cfWatcher.ini", "login", "passwd")>
		<cfset username = GetProfileString("#request.path2site#\cfWatcher.ini", "login", "username")>
		<cfset slowPageLogAfter = GetProfileString("#request.path2site#\cfWatcher.ini", "logs", "slowPageLogAfter")>
		<cfset path2logs = GetProfileString("#request.path2site#\cfWatcher.ini", "paths", "path2logs")>
		<cfset maxLogFileSize = GetProfileString("#request.path2site#\cfWatcher.ini", "logs", "maxLogFileSize")>
	</cfif>
	<cfset fact = CreateObject("Java", "coldfusion.server.ServiceFactory")>
	<cfset fact = fact.DebuggingService>
</cfsilent>

<cfoutput>
	<cfif IsDefined("errMsg") and Len(errMsg) gt 0>
		<br>
		<table align="center" style="border: 1px solid red;">
			<cfloop index="el" list="#errMsg#">
				<tr>
					<td class="err">#el#</td>
				</tr>
			</cfloop>
		</table>
		<br>
	</cfif>
	<cfform name="frm" action="index.cfm" method="post">
		<input type="Hidden" name="action" value="config.save">
		<table border="0" cellpadding="5" cellspacing="0" class="data_table" align="center">
			<tr class="table_header">
				<th nowrap colspan="3" align="center">C O N F I G U R A T I O N</th>
			</tr>
			<tr>
				<td colspan="3" class="table_subheader"><strong><em><u>Counters</u></em></strong></td>
			</tr>
			<tr>
				<td align="right"><strong><label for="countersRecords" id="countersRecords2">Counters Records:</label></strong></td>
				<td><cfinput size="25" type="Text" name="countersRecords" value="#countersRecords#" required="Yes" message="Please enter valid Counters Records" validate="integer"></td>
				<td class="notes">Number of counters run</td>
			</tr>
			<tr>
				<td colspan="3" class="table_subheader"><strong><em><u>Debug Output</u></em></strong></td>
			</tr>
			<tr>
				<td align="right"><strong><label for="debugIPs" id="debugIPs2">Debug IPs:</label></strong></td>
				<td><cfinput size="25" type="Text" name="debugIPs" value="#debugIPs#"></td>
				<td class="notes">Debug IP address list. <em>NOTE:</em> empty list will allow everyone see the debug info.</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="debugSites" id="debugSites2">Debug Sites:</label></strong></td>
				<td><cfinput size="25" type="Text" name="debugSites" value="#debugSites#"></td>
				<td class="notes">The list of the sites to be monitored. (<u><em>example:</em></u> yourdomain.com,www.mydomain.net)<br><em>NOTE:</em> empty list will have as result monitoring of all sites.</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="debug" id="debug2">Debug:</label></strong></td>
				<td>
					<select name="debug">
						<option value="Off">Off
						<option value="On"<cfif debug eq "On"> selected</cfif>>On
					</select>
				</td>
				<td class="notes">Debug when/why debug output is generated</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="debugType" id="debugType2">Debug Type:</label></strong></td>
				<td>
					<select name="debugType">
						<option value="Short"<cfif debugType eq "Short"> selected</cfif>>Short
						<option value="Full"<cfif debugType eq "Full"> selected</cfif>>Full
					</select>
				</td>
				<td class="notes">Debug type when debug output is generated</td>
			</tr>
			<tr>
				<td colspan="3" class="table_subheader"><strong><em><u>Display</u></em></strong></td>
			</tr>
			<tr>
				<td align="right"><strong><label for="isEnabled" id="isEnabled2">Is Enabled:</label></strong></td>
				<td><input type="checkbox" name="isEnabled"<cfif fact.isEnabled()> checked</cfif>></td>
				<td class="notes">Is the monitor enabled or not.</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="historySize" id="historySize2">History Size:</label></strong></td>
				<td><cfinput size="25" type="Text" name="historySize" value="#historySize#" required="Yes" message="Please enter valid History Size" validate="integer"></td>
				<td class="notes">Number of recent requests shown</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="slowPageThreshold" id="slowPageThreshold2">Slow Page Threshold:</label></strong></td>
				<td><cfinput size="25" type="Text" name="slowPageThreshold" value="#slowPageThreshold#" required="Yes" message="Please enter valid Slow Page Threshold" validate="integer"></td>
				<td class="notes">Theshold (in ms) when pages are considered Slow</td>
			</tr>
			<!---
			<tr>
				<td align="right"><strong><label for="maxLengthInMemory" id="maxLengthInMemory">Max Length In Memory:</label></strong></td>
				<td><cfinput size="25" type="Text" name="maxLengthInMemory" value="#maxLengthInMemory#" required="Yes" message="Please enter valid Max Length In Memory" validate="integer"></td>
				<td class="notes">Maximal length of the debug data kept in memory</td>
			</tr>
			--->
			<tr>
				<td colspan="3" class="table_subheader"><strong><em><u>Logs</u></em></strong></td>
			</tr>
			<tr>
				<td align="right"><strong><label for="path2logs" id="path2logs2">Path to logs:</label></strong></td>
				<td><cfinput size="25" type="text" name="path2logs" value="#path2logs#"></td>
				<td class="notes">The path where logs will be stored</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="slowPageLogAfter" id="slowPageLogAfter2">File logging theshold:</label></strong></td>
				<td><cfinput size="25" type="Text" name="slowPageLogAfter" value="#slowPageLogAfter#" message="Please enter valid Slow Page Threshold for file logging" validate="integer"></td>
				<td class="notes">Theshold (in ms) when pages are considered Slow for file logging</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="maxLogFileSize" id="maxLogFileSize2">Max log file size:</label></strong></td>
				<td><cfinput size="25" type="Text" name="maxLogFileSize" value="#maxLogFileSize#" message="Please enter valid Maximal Log File Size" validate="integer"></td>
				<td class="notes">Maximal size for log files</td>
			</tr>
			<tr>
				<td colspan="3" class="table_subheader"><strong><em><u>Login</u></em></strong></td>
			</tr>
			<tr>
				<td align="right"><strong><label for="username" id="username2">Username:</label></strong></td>
				<td><cfinput size="25" type="text" name="username" value="#username#"></td>
				<td class="notes">The username</td>
			</tr>
			<tr>
				<td align="right"><strong><label for="passwd" id="passwd2">Password:</label></strong></td>
				<td><cfinput size="25" type="Text" name="passwd" value="#passwd#"></td>
				<td class="notes">The password</td>
			</tr>
			<tr>
				<td colspan="3" style="border-bottom: 1px solid black">&nbsp;</td>
			</tr>
			<tr>
				<td colspan="3" align="right"><input class="btn" type="Submit" value="    Save    "></td>
			</tr>
		</table>
	</cfform>
	<cfif IsDefined("errIDs") and ListLen(errIDs, ",") gt 0>
		<script language="JavaScript">
			<!--
				<cfloop index="el" list="#errIDs#">
					changeClassName('#el#', 'err');
				</cfloop>
				<cfloop index="el" list="#errFlds#">
					changeClassName('#el#', 'errFld');
				</cfloop>
			//-->
		</script>
	</cfif>
</cfoutput>
