<cfsilent>
	<cfif ListLen(action, ".") gte 2>
		<cfset subAction = ListGetAt(action, 2, ".")>
	<cfelse>
		<cfset subAction = "">
	</cfif>
</cfsilent>
<cfswitch expression="#subAction#">
	<cfcase value="main">
		<cfif  structKeyExists(server,cacheKey) and Len(StructKeyList(server[cacheKey].primaryInfo, ','))>
			<cfset debugData = server[cacheKey]>
			<cfset tmplname = "reports/main.cfm">
			<cfset tmpltitle = "cfWatcher::. Main Report">
		<cfelse>
			<cfset tmplname = "reports/noRecords.cfm">
			<cfset tmpltitle = "cfWatcher::. Main Report">
		</cfif>
	</cfcase>

	<cfcase value="details">
		<cfif  structKeyExists(server,cacheKey) and Len(StructKeyList(server[cacheKey].primaryInfo, ','))>
			<cfset debugData = server[cacheKey]>
			<cfset tmplname = "reports/details.cfm">
			<cfset tmpltitle = "cfWatcher::. Main Report - Details">
		<cfelse>
			<cfset tmplname = "reports/noRecords.cfm">
			<cfset tmpltitle = "cfWatcher::. Main Report">
		</cfif>
	</cfcase>

	<cfcase value="stats">
		<cfset tmplname = "reports/stats.cfm">
		<cfset tmpltitle = "cfWatcher::. Server Stats Report">
	</cfcase>

	<cfcase value="counters">
		<cfset tmplname = "reports/counters.cfm">
		<cfset tmpltitle = "cfWatcher::. Counters">
	</cfcase>

	<cfcase value="byQueries">
		<cfif  structKeyExists(server,cacheKey) and Len(StructKeyList(server[cacheKey].primaryInfo, ','))>
			<cfset debugData = server[cacheKey]>
			<cfset tmplname = "reports/byQueries.cfm">
			<cfset tmpltitle = "cfWatcher::. by Queries Report">
		<cfelse>
			<cfset tmplname = "reports/noRecords.cfm">
			<cfset tmpltitle = "cfWatcher::. by Queries Report">
		</cfif>
	</cfcase>

	<cfcase value="loadQuery">
		<cfset tmplname = "reports/loadQuery.cfm">
		<cfset tmpltitle = "cfWatcher::. by Queries Report">
	</cfcase>

	<cfcase value="byCFCs">
		<cfif  structKeyExists(server,cacheKey) and Len(StructKeyList(server[cacheKey].primaryInfo, ','))>
			<cfset debugData = server[cacheKey]>
			<cfset tmplname = "reports/byCFCs.cfm">
			<cfset tmpltitle = "cfWatcher::. by CFCs Report">
		<cfelse>
			<cfset tmplname = "reports/noRecords.cfm">
			<cfset tmpltitle = "cfWatcher::. by CFCs Report">
		</cfif>
	</cfcase>

	<cfcase value="loadCFC">
		<cfset tmplname = "reports/loadCFC.cfm">
		<cfset tmpltitle = "cfWatcher::. by CFCs Report">
	</cfcase>

	<cfcase value="byTemplates">
		<cfif  structKeyExists(server,cacheKey) and Len(StructKeyList(server[cacheKey].primaryInfo, ','))>
			<cfset debugData = server[cacheKey]>
			<cfset tmplname = "reports/byTemplates.cfm">
			<cfset tmpltitle = "cfWatcher::. by Templates Report">
		<cfelse>
			<cfset tmplname = "reports/noRecords.cfm">
			<cfset tmpltitle = "cfWatcher::. by Templates Report">
		</cfif>
	</cfcase>

	<cfcase value="loadTemplate">
		<cfset tmplname = "reports/loadTemplate.cfm">
		<cfset tmpltitle = "cfWatcher::. by Templates Report">
	</cfcase>

	<cfdefaultcase>
		<cfif  structKeyExists(server,cacheKey) and Len(StructKeyList(server[cacheKey].primaryInfo, ','))>
			<cfset debugData = server[cacheKey]>
			<cfset tmplname = "reports/main.cfm">
			<cfset tmpltitle = "cfWatcher::. Main Report">
		<cfelse>
			<cfset tmplname = "reports/noRecords.cfm">
			<cfset tmpltitle = "cfWatcher::. Main Report">
		</cfif>
	</cfdefaultcase>
</cfswitch>

