<cfsilent>
	<cfparam name="indx" default="1">
	<cfset indx = Val(indx)>
	<!---
	<!--- Grab the current directory --->
	<cfset currentDirectory = expandPath("./")>
	<!--- Turn any \ in the path into / so java doesnt spit the dummy --->
	<cfset currentDirectory = replace(currentDirectory,"\","/","all")>
	
	<!--- Create an instance of java.net.URL for passing to the URLClassLoader --->
	<cfset URLObject = createObject("java","java.net.URL")>
	<!--- Initialize the object with the current directory. --->
	<cfset URLObject.init("file:"&currentDirectory)>
	
	<!--- Create a java Array and add our URLObject to it --->
	<cfset URLArray = createObject("java","java.lang.reflect.Array").newInstance(URLObject.getClass(),1)>
	<cfset ArrayClass = createObject("java","java.lang.reflect.Array")>
	<cfset ArrayClass.set(URLArray,0,URLObject)>

	<!--- Create and the URLClassLoader and pass it the array containing our path --->
	<cfset loader = createObject("java","java.net.URLClassLoader")>
	<cfset loader.init(URLArray)>

	<!--- Use our new class loader to load the HelloWorld class --->
	<cfset allThreads = loader.loadClass("cfWatcher").newInstance()>

	<cfset stk = allThreads.getThreadStackTrace(#Evaluate(indx)#)>
	<cfset thisThread = allThreads.getThread(#Evaluate(indx)#)>
	--->
	
	<cfset mgmtFactory = createobject("java", "java.lang.management.ManagementFactory")>

	<cfset threadsObj = CreateObject("component", "manageThreads")>
	<cfset thisThread = threadsObj.getThread(indx)>
	<cfset thisThreadID = thisThread.getID()>
	<cfset isSuspended = mgmtFactory.ThreadMXBean.getThreadInfo(#Evaluate(thisThreadID)#).isSuspended()>
	<cfset threadState = thisThread.getState()>
	<cfset threadCpuTime = mgmtFactory.ThreadMXBean.getThreadCpuTime(#Evaluate(thisThreadID)#)>
	<cfset threadUserTime = mgmtFactory.ThreadMXBean.getThreadUserTime(#Evaluate(thisThreadID)#)>
	<cfset stk = threadsObj.getThreadStackTrace(indx)>
</cfsilent>
<br><br>
<cfoutput>
	<a style="border:1px solid black;background-color: Silver;padding:3px" href="javascript: if (confirm('Are you sure you want to kill the request #thisThread.getName()#?')) {window.location='index.cfm?action=threads.stop&indx=#indx#'}"> K I L L&nbsp;&nbsp;&nbsp;#thisThread.getName()# </a>
	<cfif isSuspended>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
		<strong><u>THIS THREAD IS SUSPENDED!!!</u></strong> <a style="border:1px solid black;background-color: Silver;padding:3px" href="index.cfm?action=threads.resume&indx=#indx#">Resume it!</a>
	</cfif>
	<br><br>
	<table>
		<tr>
			<td colspan="3"><h3><u>Thread Stack Trace</u></h3></td>
		</tr>
		<tr>
			<td><strong>Trace Time:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#DateFormat(Now(), "mmm dd, yyyy")#</td>
		</tr>
		<tr>
			<td><strong>JVM ID:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#thisThreadID#</td>
		</tr>
		<tr>
			<td><strong>Thread ID:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#thisThread.getName()#</td>
		</tr>
		<tr>
			<td><strong>Priority:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#thisThread.getPriority()#</td>
		</tr>
		<tr>
			<td><strong>Hashcode:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#thisThread.hashCode()#</td>
		</tr>
		<tr>
			<td><strong>State:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#threadState#</td>
		</tr>
		<tr>
			<td><strong>Total CPU time:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#secsToTime(threadCpuTime/1000/1000/1000, "s")#</td>
		</tr>
		<tr>
			<td><strong>CPU time in user mode:</strong></td>
			<td width="50">&nbsp;</td>
			<td>#secsToTime(threadUserTime/1000/1000/1000, "s")#</td>
		</tr>
	</table>
	<br><br>
	<cfloop index="row" from="1" to="#ArrayLen(stk)#">
		<span style="color:blue">#stk[row]["className"]#</span>.<span style="color:red">#stk[row]["methodName"]#</span> <cfif StructKeyExists(stk[row], "fileName")>(<span style="color:green">#stk[row]["fileName"]#</span>:<span style="color:blue">#stk[row]["lineNumber"]#</span>)</cfif><br>
	</cfloop>
</cfoutput>

