<cfset errMsg = "">
<cfset errIDs = "">
<cfset errFlds = "">
<cfif Compare(Abs(Val(countersRecords)), countersRecords)>
	<cfset errMsg = ListAppend(errMsg, "Please enter Counters Records")>
	<cfset errIDs = ListAppend(errIDs, "countersRecords2")>
	<cfset errFlds = ListAppend(errFlds, "countersRecords")>
</cfif>
<cfif Compare(Abs(Val(historySize)), historySize)>
	<cfset errMsg = ListAppend(errMsg, "Please enter History Size")>
	<cfset errIDs = ListAppend(errIDs, "historySize2")>
	<cfset errFlds = ListAppend(errFlds, "historySize")>
</cfif>
<cfif Compare(Abs(Val(slowPageThreshold)), slowPageThreshold) neq 0>
	<cfset errMsg = ListAppend(errMsg, "Please enter Slow Page Threshold")>
	<cfset errIDs = ListAppend(errIDs, "slowPageThreshold2")>
	<cfset errFlds = ListAppend(errFlds, "slowPageThreshold")>
</cfif>
<cfif Compare(path2logs, "") neq 0>
	<cfif not DirectoryExists(path2logs)>
		<cftry>
			<cfdirectory action="CREATE" directory="#path2logs#">
			<cfcatch type="Any">
				<cfset errMsg = ListAppend(errMsg, "The path you specified for logging does not exist and could not be created.")>
				<cfset errIDs = ListAppend(errIDs, "path2logs2")>
				<cfset errFlds = ListAppend(errFlds, "path2logs")>
			</cfcatch>
		</cftry>
	</cfif>
</cfif>
<cfif Len(errMsg) eq 0>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "counters", "countersRecords", countersRecords)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debug", debug)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debugIPs", debugIPs)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debugSites", debugSites)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "debug", "debugType", debugType)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "display", "historySize", historySize)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "display", "slowPageThreshold", slowPageThreshold)>
	<!---
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "display", "maxLengthInMemory", maxLengthInMemory)>
	--->
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "login", "passwd", passwd)>
	<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "login", "username", username)>
	<cfif Compare(path2logs, "") neq 0>
		<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "logs", "slowPageLogAfter", slowPageLogAfter)>
		<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "logs", "maxLogFileSize", maxLogFileSize)>
		<cfset SetProfileString("#request.path2site#\cfWatcher.ini", "paths", "path2logs", path2logs)>
	</cfif>
	
	<cfset fact = CreateObject("Java", "coldfusion.server.ServiceFactory")>
	<cfset fact = fact.DebuggingService>
	<cfif IsDefined("isEnabled")>
		<cfset fact.setEnabled('true')>
	<cfelse>
		<cfset fact.setEnabled('false')>
	</cfif>
	<cflocation addtoken="No" url="?action=config">
</cfif>
